Bullet Collision Detection & Physics Library: btAlignedAllocator.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
btAlignedAllocator.cpp File Reference
`#include "btAlignedAllocator.h"`
`#include <string.h>`
Include dependency graph for btAlignedAllocator.cpp:

Go to the source code of this file.

## Functions
static void * | btAllocDefault (size_t size)
static void | btFreeDefault (void *ptr)
static void * | btAlignedAllocDefault (size_t size, int alignment)
static void | btAlignedFreeDefault (void *ptr)
void | btAlignedAllocSetCustomAligned (btAlignedAllocFunc *allocFunc, btAlignedFreeFunc *freeFunc)
| If the developer has already an custom aligned allocator, then btAlignedAllocSetCustomAligned can be used. The default aligned allocator pre-allocates extra memory using the non-aligned allocator, and instruments it.
void | btAlignedAllocSetCustom (btAllocFunc *allocFunc, btFreeFunc *freeFunc)
| The developer can let all Bullet memory allocations go through a custom memory allocator, using btAlignedAllocSetCustom.
void * | btAlignedAllocInternal (size_t size, int alignment)
| we probably replace this with our own aligned memory allocator so we replace _aligned_malloc and _aligned_free with our own that is better portable and more predictable
void | btAlignedFreeInternal (void *ptr)

## Variables
static btAllocFunc * | sAllocFunc = btAllocDefault
static btFreeFunc * | sFreeFunc = btFreeDefault
static btAlignedAllocFunc * | sAlignedAllocFunc = btAlignedAllocDefault
static btAlignedFreeFunc * | sAlignedFreeFunc = btAlignedFreeDefault

## Function Documentation

## ◆ btAlignedAllocDefault()

static void * btAlignedAllocDefault | ( | size_t | size,
|  | int | alignment )
| inlinestatic

Definition at line 65 of file btAlignedAllocator.cpp.

## ◆ btAlignedAllocInternal()

void * btAlignedAllocInternal | ( | size_t | size,
|  | int | alignment )

we probably replace this with our own aligned memory allocator so we replace _aligned_malloc and _aligned_free with our own that is better portable and more predictable

BT_DEBUG_MEMORY_ALLOCATIONS preprocessor can be set in build system for regression tests to detect memory leaks define BT_DEBUG_MEMORY_ALLOCATIONS 1

Definition at line 249 of file btAlignedAllocator.cpp.

## ◆ btAlignedAllocSetCustom()

void btAlignedAllocSetCustom | ( | btAllocFunc * | allocFunc,
|  | btFreeFunc * | freeFunc )

The developer can let all Bullet memory allocations go through a custom memory allocator, using btAlignedAllocSetCustom.

Definition at line 105 of file btAlignedAllocator.cpp.

## ◆ btAlignedAllocSetCustomAligned()

void btAlignedAllocSetCustomAligned | ( | btAlignedAllocFunc * | allocFunc,
|  | btAlignedFreeFunc * | freeFunc )

If the developer has already an custom aligned allocator, then btAlignedAllocSetCustomAligned can be used. The default aligned allocator pre-allocates extra memory using the non-aligned allocator, and instruments it.

Definition at line 99 of file btAlignedAllocator.cpp.

## ◆ btAlignedFreeDefault()

static void btAlignedFreeDefault | ( | void * | ptr | ) |
| inlinestatic

Definition at line 84 of file btAlignedAllocator.cpp.

## ◆ btAlignedFreeInternal()

void btAlignedFreeInternal | ( | void * | ptr | ) |

Definition at line 257 of file btAlignedAllocator.cpp.

## ◆ btAllocDefault()

static void * btAllocDefault | ( | size_t | size | ) |
| static

Definition at line 25 of file btAlignedAllocator.cpp.

## ◆ btFreeDefault()

static void btFreeDefault | ( | void * | ptr | ) |
| static

Definition at line 32 of file btAlignedAllocator.cpp.

## Variable Documentation

## ◆ sAlignedAllocFunc

btAlignedAllocFunc* sAlignedAllocFunc = btAlignedAllocDefault
| static

Definition at line 96 of file btAlignedAllocator.cpp.

## ◆ sAlignedFreeFunc

btAlignedFreeFunc* sAlignedFreeFunc = btAlignedFreeDefault
| static

Definition at line 97 of file btAlignedAllocator.cpp.

## ◆ sAllocFunc

btAllocFunc* sAllocFunc = btAllocDefault
| static

Definition at line 37 of file btAlignedAllocator.cpp.

## ◆ sFreeFunc

btFreeFunc* sFreeFunc = btFreeDefault
| static

Definition at line 38 of file btAlignedAllocator.cpp.